/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.sample.spider;

import org.terracotta.workmanager.dynamic.DynamicWorker;
import org.terracotta.workmanager.statik.StaticWorker;
import org.terracotta.workmanager.worker.Worker;

public class StartWorker {

	public static void main(String[] args) throws Exception {
		System.out.println("-- starting worker...");
		System.out.println("-- kill it with ^C when finished");
		
		Worker worker;
		String routingID = null;
		if (args.length != 0) {
			routingID = args[0];
	        worker = new StaticWorker(routingID);
		} else {
		    worker = new DynamicWorker();
		}

		worker.start();
		
		Thread.currentThread().join();
	}
}
