package org.terracotta.message.routing;

import org.terracotta.message.channel.Channel;
import org.terracotta.message.channel.ChannelManager;

public class FixedRouter<T, ID> implements Router<T, ID>
{
    private final ID m_routingID;

    public FixedRouter(ID m_routingid)
    {
        super();
        m_routingID = m_routingid;
    }

    public Channel<T, ID> getRoute(ChannelManager<T, ID> channelManager)
    {
        return channelManager.getOrCreateChannelFor(m_routingID);
    }    
}
