package org.terracotta.message.topology;

import org.terracotta.message.channel.ChannelManager;

public class Topology<T, ID>
{
    private final String name;
    private final ChannelManager<T, ID> channelManager;
    
    public Topology(String name, ChannelManager<T, ID> channelManager)
    {
        super();
        this.name = name;
        this.channelManager = channelManager;
    }


    public String getName()
    {
        return name;
    }


    public ChannelManager<T, ID> getChannelManager()
    {
        return channelManager;
    }
}
