/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.message.routing;

/**
 * Interface that all routable work items should implement.
 */
public interface Routable<ID> {

	public void setRoutingID(ID routingID);

	public ID getRoutingID();
}
